OutgoingVariantsReportTask (Gradle API 9.6.0)
Description: declaration: package: org.gradle.api.tasks.diagnostics, class: OutgoingVariantsReportTask

Package org.gradle.api.tasks.diagnostics

# Class OutgoingVariantsReportTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.tasks.diagnostics.AbstractConfigurationReportTask
org.gradle.api.tasks.diagnostics.OutgoingVariantsReportTask

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Reporting<ConfigurationReports>`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Produces only non-cacheable console output by examining configurations at execution time") public abstract class OutgoingVariantsReportTask extends AbstractConfigurationReportTask
A task which reports the outgoing variants of a project on the command line. This is useful for listing what a project produces in terms of variants and what artifacts are attached to each variant. Variants, in this context, must be understood as "things produced by a project which can safely be consumed by another project".

Since:
  6.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutgoingVariantsReportTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.gradle.api.tasks.diagnostics.internal.configurations.spec.AbstractConfigurationReportSpec`
  `buildReportSpec()`
  `abstract Property<Boolean>`
  `getShowAll()`
  Shows all variants, including legacy and deprecated configurations.
  `abstract Property<String>`
  `getVariantName()`
  Limits the report to a single variant.

  ### Methods inherited from class org.gradle.api.tasks.diagnostics.AbstractConfigurationReportTask

  `getFileResolver, getObjectFactory, getReports, getTextOutputFactory, report, reports, reports`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### OutgoingVariantsReportTask

    public OutgoingVariantsReportTask()

- ## Method Details

  - ### getVariantName

    @Input @Optional public abstract Property<String> getVariantName()
    Limits the report to a single variant.
    Returns:
      property holding name of the variant to report

  - ### getShowAll

    @Input @Optional public abstract Property<Boolean> getShowAll()
    Shows all variants, including legacy and deprecated configurations.
    Returns:
      property holding the flag to show all variants

  - ### buildReportSpec

    protected org.gradle.api.tasks.diagnostics.internal.configurations.spec.AbstractConfigurationReportSpec buildReportSpec()
    Specified by:
      `buildReportSpec` in class `AbstractConfigurationReportTask`